# Uses of Class
org.kapott.hbci.structures.Konto

Packages that use Konto
Package
Description
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.GV_Result
In diesem Package sind Klassen enthalten, die die Ergebnisse von HBCI-Jobs aufnehmen und auswerten.
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.passport
Passports repräsentieren die HBCI-Sicherheitsmedien, mit denen Zugangsdaten eines Bankkunden verwaltet werden.
org.kapott.hbci.swift
Dieses Paket enthält Hilfsklassen für die Arbeit mit bankinternen Datenformaten.

## Uses of Konto in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV that return Konto
Modifier and Type
Method
Description
`Konto`
HBCIJobImpl.`getOrderAccount()`
Liefert das Auftraggeber-Konto, wie es ab HKTAN5 erforderlich ist.
Methods in org.kapott.hbci.GV with parameters of type Konto
Modifier and Type
Method
Description
`void`
HBCIJob.`setParam(String paramname, Integer index, Konto acc)`
`void`
HBCIJob.`setParam(String paramname, Konto acc)`
Setzen eines komplexen Job-Parameters (Kontodaten).
`void`
HBCIJobImpl.`setParam(String paramname, Integer index, Konto acc)`
`void`
HBCIJobImpl.`setParam(String paramname, Konto acc)`
Setzen eines komplexen Job-Parameters (Kontodaten).

## Uses of Konto in org.kapott.hbci.GV_Result

Fields in org.kapott.hbci.GV_Result declared as Konto
Modifier and Type
Field
Description
`Konto`
GVRAccInfo.AccInfo.`account`
Konto, auf das sich diese Daten beziehen
`Konto`
GVRFestList.Entry.`anlagekonto`
Konto für die Festgeldanlage
`Konto`
GVRFestList.Entry.`ausbuchungskonto`
Konto, welchem der Anlagebetrag nach Ablauf der Festgeldanlage gutgeschrieben wird
`Konto`
GVRFestList.Entry.`belastungskonto`
Konto für Abbuchung der regelmäßigen Beträge.
`Konto`
GVRWPDepotList.Entry.`depot`
Depotkonto, auf das sich der Eintrag bezieht.
`Konto`
GVRWPDepotUms.Entry.`depot`
Depotkonto, auf das sich der Eintrag bezieht.
`Konto`
GVRSaldoReq.Info.`konto`
Saldo für welches Konto
`Konto`
GVRDauerLastList.Dauer.`my`
Belastungskonto (Kundenkonto)
`Konto`
GVRDauerList.Dauer.`my`
Belastungskonto (Kundenkonto)
`Konto`
GVRKUms.BTag.`my`
Konto, auf das sich die Umsatzdaten beziehen (Kundenkonto).
`Konto`
GVRTermUebList.Entry.`my`
Belastungskonto (Kundenkonto)
`Konto`
GVRDauerLastList.Dauer.`other`
Empfängerkonto
`Konto`
GVRDauerList.Dauer.`other`
Empfängerkonto
`Konto`
GVRKUms.UmsLine.`other`
Gegenkonto der Buchung (optional).
`Konto`
GVRTermUebList.Entry.`other`
Empfängerkonto
`Konto`
GVRAccInfo.AccInfo.`refAccount`
Referenzkonto (zB für Kreditkartenkonten) (optional)
`Konto`
GVRFestList.Entry.`zinskonto`
Konto, welchem die Zinsen für die Festgeldanlage gutgeschrieben werden

## Uses of Konto in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager with parameters of type Konto
Modifier and Type
Method
Description
`static String`
HBCIUtils.`getIBANForKonto(Konto k)`
Berechnet die IBAN fuer ein angegebenes deutsches Konto.

## Uses of Konto in org.kapott.hbci.passport

Methods in org.kapott.hbci.passport that return Konto
Modifier and Type
Method
Description
`final Konto`
AbstractHBCIPassport.`getAccount(String number)`
`Konto`
HBCIPassport.`getAccount(String number)`
Gibt ein Konto-Objekt zu einer bestimmten Kontonummer zurück.
`final Konto[]`
AbstractHBCIPassport.`getAccounts()`
`Konto[]`
HBCIPassport.`getAccounts()`
Gibt ein Array mit Kontoinformationen zurück.
Methods in org.kapott.hbci.passport with parameters of type Konto
Modifier and Type
Method
Description
`final void`
AbstractHBCIPassport.`fillAccountInfo(Konto account)`
`void`
HBCIPassport.`fillAccountInfo(Konto account)`
Ausfüllen fehlender Kontoinformationen.

## Uses of Konto in org.kapott.hbci.swift

Fields in org.kapott.hbci.swift declared as Konto
Modifier and Type
Field
Description
`Konto`
DTAUS_CH.Transaction.`other`
`Konto`
DTAUS.Transaction.`otherAccount`
Konto des Zahlungsempfängers bzw.
Methods in org.kapott.hbci.swift that return Konto
Modifier and Type
Method
Description
`Konto`
DTAUS.`getMyAccount()`
TODO: doku fehlt
Constructors in org.kapott.hbci.swift with parameters of type Konto
Modifier
Constructor
Description
``
`DTAUS(Konto myAccount, int type)`
Entspricht `DTAUS(myAccount,type,null)`
``
`DTAUS(Konto myAccount, int type, Date execdate)`
Erzeugen eines neuen Objektes für die Aufnahme von Sammelaufträgen.
``
`DTAUS_CH(Konto myAccount, String[] myAddress)`
``
`Transaction(Konto other, Value value)`